LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Functions
release.h File Reference
Internal API

Automatic release event generation. More...

`#include "ir_remote_types.h"`

Go to the source code of this file.

## Functions
void | register_button_press (struct ir_remote *remote, struct ir_ncode *ncode, ir_code code, int reps)
| Set up pending events for given button, including the release_gap.
void | get_release_data (const char **remote_name, const char **button_name, int *reps)
| Get data from saved from last call to register_button_press().
void | get_release_time (struct timeval *tv)
| Get time for last call to register_button_press() if defined, else a noop.

## Detailed Description

Automatic release event generation.

Author
  Christoph Bartelmus

Definition in file release.h.

## Function Documentation

## ◆ get_release_data()

void get_release_data | ( | const char ** | remote_name,
|  | const char ** | button_name,
|  | int * | reps
| ) |  |

Get data from saved from last call to register_button_press().

Definition at line 84 of file release.c.

## ◆ get_release_time()

void get_release_time | ( | struct timeval * | tv | ) |

Get time for last call to register_button_press() if defined, else a noop.

Definition at line 99 of file release.c.

## ◆ register_button_press()

void register_button_press | ( | struct ir_remote * | remote,
|  | struct ir_ncode * | ncode,
|  | ir_code | code,
|  | int | reps
| ) |  |

Set up pending events for given button, including the release_gap.

Data is saved to be retrieved using get_release_data().

Definition at line 58 of file release.c.